Edit

Share via


Workspaces - Get Workspace

Returns the specified workspace.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

Permissions

The caller must be a Fabric administrator or authenticate using a service principal.

Required Delegated Scopes

Tenant.Read.All or Tenant.ReadWrite.All

Limitations

Maximum 200 requests per hour.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/admin/workspaces/{workspaceId}

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

Workspace

OK

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • EntityNotFound - The workspace ID doesn't exist.

  • InsufficientPrivileges - The caller doesn't have permissions to call the API.

Examples

Get workspace details by ID example

Sample request

GET https://api.fabric.microsoft.com/v1/admin/workspaces/f089354e-8366-4e18-aea3-4cb4a3a50b48

Sample response

{
  "id": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87",
  "name": "test report",
  "type": "Workspace",
  "state": "Active",
  "capacityId": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e84",
  "domainId": "8badadb6-9945-4e07-8134-00e0defec00b",
  "tags": [
    {
      "id": "b3f2c8e9-4d8e-4a7c-9a32-f8c1b2e4d6af",
      "displayName": "Finance"
    }
  ]
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

Workspace

Workspace.

WorkspaceAppliedTag

Represents an applied tag.

WorkspaceState

The workspace state. Additional workspace states may be added over time.

WorkspaceType

A workspace type. Additional workspace types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

Workspace

Workspace.

Name Type Description
capacityId

string (uuid)

The capacity ID of the workspace.

domainId

string (uuid)

The domain ID of the workspace.

id

string (uuid)

The workspace ID.

name

string

The workspace name.

state

WorkspaceState

The workspace state.

tags

WorkspaceAppliedTag[]

List of applied tags.

type

WorkspaceType

The workspace type.

WorkspaceAppliedTag

Represents an applied tag.

Name Type Description
displayName

string

The name of the tag.

id

string (uuid)

The tag ID.

WorkspaceState

The workspace state. Additional workspace states may be added over time.

Value Description
Active

The workspace is active. Orphaned workspaces are displayed as active.

Deleted

The workspace is deleted.

WorkspaceType

A workspace type. Additional workspace types may be added over time.

Value Description
Personal

My folder or My workspace used to manage user items.

Workspace

Workspace used to manage the Fabric items.

AdminWorkspace

Admin monitoring workspace. Contains admin reports such as the audit report and the usage and adoption report.